Resolido Docs
Channels

Verify sending domain

POST
/sending-domains/verify

Check DNS records and refresh the verification status of a sending domain.

Authorization

bearer channels:write
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: channels:write

Request Body

application/json
  1. body
domainOrEmail*string
Length3 <= length <= 254

Response Body

Success

application/json
  1. response
domain*string
status*string
records*

Which DNS records were found.

curl -X POST "https://example.com/sending-domains/verify" \  -H "Content-Type: application/json" \  -d '{    "domainOrEmail": "string"  }'
{  "domain": "string",  "status": "string",  "records": {    "property1": true,    "property2": true  }}